/*
 * Variable.java
 *
 * Created on January 2, 2006, 9:38 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package usgs.thorn;

/**
 *
 * @author markstro
 */
public class Variable {
    private String name;
    private String desc;
    private String unit;
    private double[] values;
    private boolean plotted = false;
    
    /** Creates a new instance of Variable */
    public Variable(String name, String desc, String unit) {
        this.name = name;
        this.desc = desc;
        this.unit = unit;
        this.values = null;
    }

    /**
     * Getter for property name.
     * @return Value of property name.
     */
    public String getName() {
        return this.name;
    }

    /**
     * Setter for property name.
     * @param name New value of property name.
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * Getter for property values.
     * @return Value of property values.
     */
    public double[] getValues() {
        return this.values;
    }

    /**
     * Setter for property values.
     * @param values New value of property values.
     */
    public void setValues(double[] values) {
        this.values = values;
    }

    /**
     * Getter for property desc.
     * @return Value of property desc.
     */
    public String getDesc() {
        return this.desc;
    }

    /**
     * Setter for property desc.
     * @param desc New value of property desc.
     */
    public void setDesc(String desc) {
        this.desc = desc;
    }

    /**
     * Getter for property unit.
     * @return Value of property unit.
     */
    public String getUnit() {
        return this.unit;
    }

    /**
     * Setter for property unit.
     * @param unit New value of property unit.
     */
    public void setUnit(String unit) {
        this.unit = unit;
    }

    /**
     * Getter for property isPlotted.
     * @return Value of property isPlotted.
     */
    public boolean isPlotted() {
        return this.plotted;
    }

    /**
     * Setter for property isPlotted.
     * @param isPlotted New value of property isPlotted.
     */
    public void setPlotted(boolean plotted) {
        this.plotted = plotted;
    }
    
    public String toString () {return this.name;}
    
}
